Printago API
GET /v1/addon-subscriptions/{addonType}

Get addon subscription by type

Requires: subscription.view

Path Parameters

addonType required
string
The addon type identifier

Response Schema

AddonSubscription
addonTyperequired
string
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
termrequired
"year" | "month"
yearmonth
tierIdrequired
string
pattern: ^[a-z0-9]{24}$
tierKeyrequirednullable
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "addonType": "string",
  "tierKey": "string",
  "tierId": "string",
  "term": "year",
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}